Subject: bug#19065: dd design bug

From: Paul Eggert <[email-masked]>
Date: Sat, 15 Nov 2014 22:43:41 -0800

bt wrote:
> It doesn't make sense that if the "of=" device doesn't exist, then another
> pre-existing device, not mentioned in the command line, is overwritten.

It doesn't make sense to me, either.  But I doubt whether this is a 'dd' bug. 
It doesn't know anything about devices: it just opens /dev/sda3 for reading and 
/dev/sdb3 for writing, and it doesn't do anything smarter than that.  So if this 
trashes some other partition then it's most likely some problem with your 
partitioning.